<?php

/*
 * @version $Id: ckeditor.php 12 2014-01-15 20:13:28Z hi $
 */

/*
 * hi_KCFinder for CMSimple
 *
 * Include file to enable and configure
 * KCFinder for CKeditor in CMSimple_XH from v.1.5
 *
 * @author  Holger Irmler
 * @link    http://CMSimple.HolgerIrmler.de
 * @build   2014020701
 * @version 2.0.1
 * @date    2014-02-07
 * @package hi_kcfinder
 */



if (!function_exists('sv') || preg_match('/ckeditor.php/i', sv('PHP_SELF')))
    die('Access denied');

function hi_kcfinder_ckeditor_init() {
    global $pth, $hi_kcfLang;

    $config = '';
    $url = '';

    //if (!isset($_SESSION['xh_session'])) { return ''; }
    if (!XH_ADM) {
        return '';
    }

    //KCFinder - Init
    include_once($pth['folder']['plugins'] . 'hi_kcfinder/kcfinder_init.php');

    //hi_kcFinder thumb-folder
    $thumbdir = $_SESSION['KCFINDER']['thumbsDir'];

    //CKeditor Filebrowser-Settings
    $url = CMSIMPLE_ROOT . 'plugins/hi_kcfinder/kcfinder/browse.php?';

    $config = "filebrowserBrowseUrl	     : " . "'" . $url . 'lang=' . $hi_kcfLang . '&type=userfiles&opener=ckeditor&prefix=' . CMSIMPLE_BASE . '&dir=' . $_SESSION['KCFINDER']['dirDownloads'] . '&thumbdir=' . $thumbdir . "', ";
    $config.= "filebrowserImageBrowseUrl : " . "'" . $url . 'lang=' . $hi_kcfLang . '&type=userfiles&opener=ckeditor&prefix=' . CMSIMPLE_BASE . '&dir=' . $_SESSION['KCFINDER']['dirImages'] . '&thumbdir=' . $thumbdir . "', ";
    $config.= "filebrowserFlashBrowseUrl : " . "'" . $url . 'lang=' . $hi_kcfLang . '&type=userfiles&opener=ckeditor&prefix=' . CMSIMPLE_BASE . '&dir=' . $_SESSION['KCFINDER']['dirMedia'] . '&thumbdir=' . $thumbdir . "',";

    return $config;
}

?>