/*
 * @version $Id: filebrowser.js 13 2014-01-15 20:17:15Z hi $
 */

/*
* @author  Holger Irmler
* @link    http://CMSimple.HolgerIrmler.de
* @build   2014020701
* @version 2.0.1
* @date    2014-02-07
* @package hi_kcfinder
* 
* 
* for TinyMCE 3x & hi_KCFinder
*
*/
function openKCFinder(field_name, url, type, win) {
	poppedUpWin = win;
	inputField = field_name;
	
	if ( type == "image") { srcDir = "&dir=%imgDir%"; }
	else if ( type == "file") { srcDir = "&dir=%fileDir%"; }
	else if ( type == "media") { srcDir = "&dir=%mediaDir%"; }
	
    tinyMCE.activeEditor.windowManager.open({
        file: '%KCFURL%' + "&type="+type + srcDir,
        title: 'KCFinder',
        width: 800,
        height: 600,
        resizable: "yes",
        inline: true,
        close_previous: "no",
        popup_css: false
    }, {
        window: win,
        input: field_name
    });
    return false;
}